Subject: bug#13399: 24.3.50; Word-wrap can't wrap at zero-width space U-200B

From: martin rudalics <[email-masked]>
Date: Fri, 08 Dec 2017 11:12:23 +0100

> I have a patch for the original issue of word-wrap not wrapping at a
 > zero-width space.  The implementation uses a character table, and is
 > closely based on that written by Martin Rudalics
 > (https://debbugs.gnu.org/cgi/bugreport.cgi?bug=13399#113), with Eli
 > Zaretski's suggestions regarding unicode.
 >
 > The patch applies cleanly to the latest master, compiles on GNU+Linux
 > (Ubuntu Xenial) and appears to work — both of the following tests
 > result in the expected wrapping on the zero-width space character (the
 > first of these is taken verbatim from this bug thread, the second,
 > adapted from the first, checks that there is no regression of Bug#11341):

Thank you very much for woking on this.  The patch applies here and
seems to work as needed.

martin